Summary:	Various RPM command-line tools
Name:		rpmtools
Version:	6.5
Release:	%mkrel 3
Source0:	%{name}-%{version}.tar.xz
License:	GPLv2+
Group:		System/Packaging
URL:		http://svn.mageia.org/soft/rpm/rpmtools/
BuildRequires:	perl-devel
BuildRequires:	perl-MDV-Packdrakeng
BuildRequires:	perl-MDV-Distribconf
Requires:	perl-MDV-Distribconf > 3.00
Requires:	xz
Requires:	genhdlist2
Requires:	perl-URPM >= 3.39
Conflicts:	rpmtools-compat <= 2.0
Conflicts:	rpmtools-devel <= 2.0
Conflicts:	packdrake < 5.0.26

%description
Various tools needed by urpmi and drakxtools for handling rpm files.

%package -n	packdrake
Group:		%{group}
Summary:	A simple Archive Extractor/Builder
Conflicts:	rpmtools <= 5.0.25
Provides:	perl(packdrake)

%description -n	packdrake
Packdrake is a simple indexed archive builder and extractor using
standard compression methods.

%package -n	genhdlist2
Group:		%{group}
Summary:	Tool to generate urpmi metadata (media_info/*)
Conflicts:	rpmtools <= 5.4

%description -n	genhdlist2
genhdlist2 generates hdlist.cz, synthesis.hdlist.cz and *.xml.lzma files used
by urpmi

%prep
%setup -q

%build
perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%{_bindir}/dumpdistribconf
%{_bindir}/gendistrib
%{_mandir}/man1/dumpdistribconf*
%{_mandir}/man1/gendistrib*

%files -n packdrake
%{_bindir}/packdrake
%{perl_vendorlib}/packdrake.pm
%{_mandir}/man1/packdrake*

%files -n genhdlist2
%{_bindir}/genhdlist2
%{_mandir}/man1/genhdlist2*


%changelog

* Tue Jan 22 2013 fwang <fwang> 6.5-3.mga3
+ Revision: 390759
- update rpm group

* Mon Jan 14 2013 umeabot <umeabot> 6.5-2.mga3
+ Revision: 380490
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + tv <tv>
    - rip %%clean && BuildRoot

* Wed Sep 05 2012 tv <tv> 6.5-1.mga3
+ Revision: 288630
- compress XML data with xz instead of lzma
  (keeping .lzma extension for compatibility, just adding the magic value)

* Sun Aug 26 2012 tv <tv> 6.4-1.mga3
+ Revision: 284378
- compress synthesis files with '--text' flag passed to xz (shrinks
  synthesis.cz by 4-7%%)

* Thu Aug 16 2012 tv <tv> 6.3-1.mga3
+ Revision: 281521
- actually compress xml files with '--text' flag passed to lzma (shrinks
  files.xml.lzma by 25%% \o/)
- compress synthesis with XZ too (40%% saving)
- drop compatibility with perl-URPM < 1.48 (ie < 2007.1)
- drop genhdlist-old (genhdlist2 was introduced 4 years ago)

* Tue Feb 28 2012 tv <tv> 6.2-2.mga2
+ Revision: 215804
- bump require on URPM

* Mon Feb 27 2012 tv <tv> 6.2-1.mga2
+ Revision: 215734
- keep real filesizes in synthesis

* Fri Sep 09 2011 tv <tv> 6.1-1.mga2
+ Revision: 141836
- new release:
  force locale to be C (mga#95, Pascal Terjan)
  (when packages contain translated summary/description genhdlist2 would embed
  them instead of the English version)
- new URL

* Sat Jan 15 2011 blino <blino> 6.0-1.mga1
+ Revision: 18768
- imported package rpmtools

